OpenWebBeans

Friday September 11, 2020

Apache OpenWebBeans-2.0.18 has been released

The Apache OpenWebBeans Team is proud to announce the release of Apache OpenWebBeans-2.0.18.

Apache OpenWebBeans-2.0.x is an Apache License v2 licensed implementation of the JSR-365 CDI-2.0 specification.

OpenWebBeans has a modular structure and provides Dependency Injection scaling from Java SE environments up to Java EE8 server clusters with complicated ClassLoader hierarchies or OSGi environments.

This is a maintenance release targetting the Contexts and Dependency Injection CDI 2.0 specification!

CDI is a JavaEE standard (JSR-365) but fully available under Apache License v2.0.

http://cdi-spec.org/

https://docs.jboss.org/cdi/spec/2.0/cdi-spec.html

Apache OpenWebBeans-2.0.18 implements the CDI-2.0 API, and passes the JSR-330 and JSR-365 TCKs.

Distribution packages can be downloaded from https://www.apache.org/dyn/closer.lua/openwebbeans/2.0.18/

Hashes can be found here https://www.apache.org/dist/openwebbeans/2.0.18/

The release is also available in maven.central https://repo1.maven.apache.org/maven2/org/apache/openwebbeans/

More info can be found at

https://openwebbeans.apache.org

The following tickets got fixed in this release:

Sub-task
[OWB-1346] - prevent scanning of generated proxies

Bug
[OWB-1281] - java.lang.UnsatisfiedLinkError in scanner stops application deployment
[OWB-1328] - NPE in AbstractMetaDataFactory
[OWB-1332] - BeansDeployer#packageVetoCache does not work for negative hits
[OWB-1333] - [junit5] @Cdi#onStart not working
[OWB-1341] - Event bus: IN_PROGRESS phase should not be sent to transactionService
[OWB-1342] - Improve startup performance
[OWB-1344] - Ensure creating annotatedtype is thread safe at runtime

Task
[OWB-1327] - Run TCK for jakarta packaging
[OWB-1329] - Remove openwebbeans-maven module
[OWB-1330] - Junit5 parameter resolver companion for @Cdi
[OWB-1331] - Create ajunit5 @Scopes extension to be able to control a bit more the started scopes
[OWB-1343] - Add a property to skip @Vetoed check on packages
[OWB-1345] - Upgrade gradle shadow plugin support to v6.0.0
[OWB-1347] - upgrade to apache-parent 23

Calendar

Search

Hot Blogs (today's hits)

Tag Cloud

Categories

Feeds

Links

Navigation